Bug 1087931

Summary: [abrt][kde] libreoffice-core: KDE4FilePicker::execute -> QTransform::type: soffice.bin killed by SIGABRT
Product: [Fedora] Fedora Reporter: Doncho Gunchev <dgunchev>
Component: libreofficeAssignee: Lukáš Tinkl <ltinkl>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: aa.ivanov, caolanm, chrfedora, dtardon, dwlegg, erack, franck.bailliet, jgrulich, jshumake, ltinkl, mstahl, oron, sbergman
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/f8714923d20c5f4cc7a3a38d3fce8a9e4c4e6724
Whiteboard: abrt_hash:94cb17dac94268cf1358e73f557af7ffbb7303cf
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 20:06:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: hs_err.log
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description Doncho Gunchev 2014-04-15 15:30:57 UTC
Version-Release number of selected component:
libreoffice-core-4.2.3.2-3.fc20

Additional info:
reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer /home/dgunchev/Documents/0-Gwebu/atpco-db-structure.rtf --splash-pipe=5
crash_function: os::die()
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.13.9-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 os::die() at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.5.1.fc20.x86_64/jre/lib/amd64/server/libjvm.so
 #3 VMError::report_and_die() at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.5.1.fc20.x86_64/jre/lib/amd64/server/libjvm.so
 #4 crash_handler(int, siginfo_t*, void*) at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.5.1.fc20.x86_64/jre/lib/amd64/server/libjvm.so
 #6 ??
 #7 os::abort(bool) at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.5.1.fc20.x86_64/jre/lib/amd64/server/libjvm.so
 #8 VMError::report_and_die() at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.5.1.fc20.x86_64/jre/lib/amd64/server/libjvm.so
 #9 crash_handler(int, siginfo_t*, void*) at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.5.1.fc20.x86_64/jre/lib/amd64/server/libjvm.so
 #11 os::is_first_C_frame(frame*) at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.5.1.fc20.x86_64/jre/lib/amd64/server/libjvm.so
 #12 VMError::report(outputStream*) at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.5.1.fc20.x86_64/jre/lib/amd64/server/libjvm.so
 #13 VMError::report_and_die() at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.5.1.fc20.x86_64/jre/lib/amd64/server/libjvm.so

Potential duplicate: bug 1033501

Comment 1 Doncho Gunchev 2014-04-15 15:31:03 UTC
Created attachment 886519 [details]
File: backtrace

Comment 2 Doncho Gunchev 2014-04-15 15:31:07 UTC
Created attachment 886520 [details]
File: cgroup

Comment 3 Doncho Gunchev 2014-04-15 15:31:10 UTC
Created attachment 886521 [details]
File: core_backtrace

Comment 4 Doncho Gunchev 2014-04-15 15:31:13 UTC
Created attachment 886522 [details]
File: dso_list

Comment 5 Doncho Gunchev 2014-04-15 15:31:16 UTC
Created attachment 886523 [details]
File: environ

Comment 6 Doncho Gunchev 2014-04-15 15:31:19 UTC
Created attachment 886524 [details]
File: hs_err.log

Comment 7 Doncho Gunchev 2014-04-15 15:31:21 UTC
Created attachment 886525 [details]
File: limits

Comment 8 Doncho Gunchev 2014-04-15 15:31:24 UTC
Created attachment 886526 [details]
File: maps

Comment 9 Doncho Gunchev 2014-04-15 15:31:26 UTC
Created attachment 886527 [details]
File: open_fds

Comment 10 Doncho Gunchev 2014-04-15 15:31:28 UTC
Created attachment 886528 [details]
File: proc_pid_status

Comment 11 Doncho Gunchev 2014-04-15 15:31:30 UTC
Created attachment 886529 [details]
File: var_log_messages

Comment 12 Stephan Bergmann 2014-04-15 16:12:43 UTC
The backtrace in attachment 886519 [details] indicates this is a duplicate of bug 977068, which was fixed for libreoffice-4.1.3.2-7.fc19 via upstream <http://cgit.freedesktop.org/libreoffice/core/commit/?id=13a34f4c6307d1bd2443cbf3fbd83bfdd8cdbafb> "Rewrite Qt4 based nested yield mutex locking."

But part of that got later reverted (and is reverted in libreoffice-core-4.2.3.2-3.fc20) via upstream <http://cgit.freedesktop.org/libreoffice/core/commit/?id=daf011870efae282244c0298494820d9a0c6d3bc> "Revert 'Rewrite Qt4 based nested yield mutex locking,'" but unfortunately without any rationale.

So it looks somewhat plausible that this got broken again (if it ever was actually truly fixed) with that revert.

Comment 13 David Tardon 2014-04-28 06:56:57 UTC
*** Bug 1091667 has been marked as a duplicate of this bug. ***

Comment 14 Oron Peled 2014-05-17 10:56:08 UTC
Another user experienced a similar problem:

This is a fully updated Fedora-20 host with a KDE desktop. The libreoffice-kde package is installed.

Scenario:
 * Open existing document.
 * Save-As... another copy.
 * In the "Save-As" dialog box, type new name and click "Save"
 * Libre-Office crash

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --writer '/home/esti/My Documents/Enlace Jud\xc3\xado/Noticias-2014.04.29-1.odt' --splash-pipe=5
crash_function: QTransform::type
executable:     /usr/lib/libreoffice/program/soffice.bin
kernel:         3.13.10-200.fc20.i686+PAE
package:        libreoffice-core-4.2.3.3-9.fc20
reason:         soffice.bin killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            502

Comment 15 franck.bailliet 2014-06-20 04:13:13 UTC
Another user experienced a similar problem:

It has occured when i wanted, through the save box, to delete a file who had a bad spelling name

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc --splash-pipe=5
crash_function: QTransform::type
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.14.7-200.fc20.x86_64
package:        libreoffice-core-4.2.4.2-18.fc20
reason:         soffice.bin killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Gamaliel 2014-07-29 22:01:30 UTC
Another user experienced a similar problem:

This problem happens randomly, whenever using files in CIFS shares particularly. I believe it entails a network response failure or lag, which ends up in a crash. My CIFS shares were set up in /etc/fstab with a credentials file, and the following options:

user,noauto,file_mode=0666,dir_mode=0776,sec=ntlm	0	0

The majority of the times I've had this problem is with files greater than 10MB in size. The one with the backtrace is 25.7MB in size and failed when I tried to save it to my ~ directory. I had this problem also in previous versions, particularly in all the 4.1 versions.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc '/home/gamaliel/Documents/ETSERVER2/rmoyano/Proyectos/Clustering para DMS/MASTER CENSUS BLOCK variables comparables 2012.xlsx' --splash-pipe=5
crash_function: QTransform::type
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.15.6-200.fc20.x86_64
package:        libreoffice-core-4.2.5.2-10.fc20
reason:         soffice.bin killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 David W. Legg 2015-01-29 12:49:29 UTC
Another user experienced a similar problem:

1. Went to export a large doc >100 pages as PDF.
2. Found the right directory.
3. Deleted an old pdf file (with a different name).
4. Splat.
5. Would have done the export had the crash not happened.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --splash-pipe=5
crash_function: QTransform::type
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.17.8-200.fc20.x86_64
package:        libreoffice-core-4.2.8.2-2.fc20
reason:         soffice.bin killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 18 David W. Legg 2015-03-25 15:18:03 UTC
Another user experienced a similar problem:

Used the KDE dialogue to do a save as.
En route, I asked it to delete a PDF file by right-mousing on the file and choosing 'Move to Trash' (or similar).
File not deleted.
LibreOffice crashed.
Not v. repeatable but has happened more than once.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --splash-pipe=5
crash_function: QTransform::type
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.18.9-100.fc20.x86_64
package:        libreoffice-core-4.2.8.2-6.fc20
reason:         soffice.bin killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 19 Fedora End Of Life 2015-05-29 11:34:42 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2015-06-29 20:06:43 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.